test_that("pareto distribution works", {
  set.seed(1337L)
  dist <- dist_pareto()
  params <- list(shape = 2, scale = 4)
  x <- dist$sample(100L, with_params = params)

  expect_silent(fit(dist, x))
  expect_identical(dist$get_type(), "continuous")
  expect_density(dist, dpareto, params, x)
  expect_probability(dist, ppareto, params, x)
  expect_quantile(dist, qpareto, params)
  expect_identical(dist$is_in_support(x), rep_len(TRUE, length(x)))
  expect_diff_density(dist, x, params)
  expect_diff_density(dist, x, list(shape = 3, scale = 2))
  expect_diff_probability(dist, x, params)
  expect_diff_probability(dist, x, list(shape = 3, scale = 2))
  expect_tf_logdensity(dist, params, x)
  expect_tf_logprobability(dist, params, x, x + 1.0)
  expect_tf_logprobability(dist, params, 0, x)
  expect_tf_logprobability(dist, params, x, Inf)
})
