test_that("poisson distribution works", {
  set.seed(1337L)
  dist <- dist_poisson()
  params <- list(lambda = 1.0)
  x <- dist$sample(100L, with_params = params)

  expect_silent(fit(dist, x))
  expect_identical(dist$get_type(), "discrete")
  expect_density(dist, dpois, params, x)
  expect_probability(dist, ppois, params, x)
  expect_quantile(dist, qpois, params)
  expect_identical(dist$is_in_support(x), rep_len(TRUE, length(x)))
  expect_diff_density(dist, x, params)
  expect_diff_density(dist, x, list(lambda = 2.0))
  expect_diff_probability(dist, x, params)
  expect_diff_probability(dist, x, list(lambda = 2.0))

  expect_tf_logdensity(dist, params, x)
  expect_tf_logprobability(dist, params, x, x + 1.0)
  expect_tf_logprobability(dist, params, 0, x)
  expect_tf_logprobability(dist, params, x, Inf)
})
